/*
 * file ListRecords.java
 *
 * Licensed Materials - Property of IBM
 * Restricted Materials of IBM - you are allowed to copy, modify and 
 * redistribute this file as part of any program that interfaces with 
 * IBM Rational CM API.
 *
 * com.ibm.rational.stp.client.samples.ListRecords
 *
 * (C) Copyright IBM Corporation 2005, 2008.  All Rights Reserved.
 * Note to U.S. Government Users Restricted Rights:  Use, duplication or 
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */
package com.ibm.rational.stp.client.samples;

import com.ibm.rational.wvcm.stp.StpLocation;
import com.ibm.rational.wvcm.stp.cq.CqProvider;
import com.ibm.rational.wvcm.stp.cq.CqQuery;
import com.ibm.rational.wvcm.stp.cq.CqRecordType;
import com.ibm.rational.wvcm.stp.cq.CqRowData;
import com.ibm.rational.wvcm.stp.cq.CqResultSet;
import com.ibm.rational.wvcm.stp.cq.CqQuery.DisplayField;

/**
 * Sample code that appears in the Stp package.html. Here to verify it is
 * compilable.
 */
public class ListRecords {
    public static void main(String[] args) throws Exception {
        String recordTypeName = args[0];
        CqProvider provider = Utilities.getProvider().cqProvider();
        StpLocation recordTypeLoc = provider.stpLocation(recordTypeName);
        CqRecordType recordType = provider.cqRecordType(recordTypeLoc);

        
        DisplayField uniqueKey = provider.buildDisplayField();
        uniqueKey.setPath(CqQuery.UNIQUE_KEY_FIELD_PATH);
        uniqueKey.setIsVisible(true);
        DisplayField[] displayFields = new DisplayField[] {uniqueKey};
        
        CqResultSet results = recordType.doQuery(displayFields, 
                                                           null, 
                                                           1, 
                                                           Integer.MAX_VALUE, 
                                                           null);
    
        while (results.hasNext()) {
            CqRowData row = (CqRowData)results.next();
            
            System.out.print(row + "\n");
        }
       
        System.exit(0);
    }
}
